/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data;

import help.math.IntPosition;
import java.awt.Rectangle;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 *
 * @author Dromliuss
 */
public interface GerätRemote extends Remote {

    public String getNAME() throws RemoteException;

    public int getSTROMVERBRAUCH() throws RemoteException;

    public boolean isOn() throws RemoteException;

    public boolean toggle() throws RemoteException;

    public Rectangle getHitBox() throws RemoteException;

    public IntPosition getDrawPosition() throws RemoteException;

    public boolean isSchalter() throws RemoteException;
    
    public int getDELAY() throws RemoteException;
    
    public int getTimeElapsed() throws RemoteException;
    
    public void live() throws RemoteException;
    
    public Class<? extends Gerät> getGeräteClass() throws RemoteException;
    
    public boolean isSmartWait() throws RemoteException;
}
