/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data;

import java.awt.Rectangle;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 *
 * @author Dromlius
 */
public class Room extends UnicastRemoteObject implements RoomRemote {

    private final Rectangle room;
    private boolean isDark = true;

    public Room(Rectangle room) throws RemoteException {
        this.room = room;
    }

    @Override
    public Rectangle getRect() throws RemoteException {
        return room;
    }

    @Override
    public boolean isDark() throws RemoteException {
        return isDark;
    }

    @Override
    public void toggle() throws RemoteException {
        isDark = !isDark;
    }
}
