/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data.finals;

import help.math.IntPosition;
import java.awt.Rectangle;
import java.rmi.RemoteException;
import sim.data.Gerät;

/**
 *
 * @author Dromliuss
 */
public class FernseherNoGame extends Gerät {

    private final PlayStation ps;

    public FernseherNoGame(PlayStation ps) throws RemoteException {
        super("Plasmafernseher", 120,false);
        this.ps = ps;
    }

    private static final Rectangle hitBox = new Rectangle(583, 230, 14, 5);
    private static final IntPosition drawPosition = new IntPosition(474, 148);

    @Override
    public IntPosition getDrawPosition() throws RemoteException {
        return drawPosition;
    }

    @Override
    public Rectangle getHitBox() {
        return hitBox;
    }

    @Override
    public Class<? extends Gerät> getGeräteClass() throws RemoteException {
        return ps.isOn() ? FernseherGame.class : super.getGeräteClass(); //To change body of generated methods, choose Tools | Templates.
    }

}
