/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data.finals;

import help.math.IntPosition;
import java.awt.Rectangle;
import java.rmi.RemoteException;
import sim.data.Lamp;
import sim.data.Schalter;

/**
 *
 * @author Dromliuss
 */
public class WohnSchalter extends Schalter {

    public WohnSchalter(Lamp lampe) throws RemoteException {
        super(lampe);
    }

    private static final Rectangle hitBox = new Rectangle(326,448,12,15);
    private static final IntPosition drawPosition = new IntPosition(326,447);

    @Override
    public IntPosition getDrawPosition() throws RemoteException {
        return drawPosition;
    }

    @Override
    public Rectangle getHitBox() {
        return hitBox;
    }
}
