/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author Dromliuss
 */
public class Neighborhood extends UnicastRemoteObject implements NeighborhoodRemote {

    private final Map<String, Haus> neighborhood;

    public Neighborhood() throws RemoteException {
        this.neighborhood = new HashMap<>();
    }

    public List<Haus> getNeighborhood() {
        return new ArrayList(neighborhood.values());
    }

    @Override
    public HausRemote getHaus(String name) throws RemoteException {
        if (neighborhood.containsKey(name)) {
            return neighborhood.get(name);
        }
        Haus newHaus = new Haus(name);
        neighborhood.put(name, newHaus);
        return newHaus;
    }
}
