/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.data;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 *
 * @author Dromlius
 */
public class World extends UnicastRemoteObject implements WorldRemote{
    public static final int millSecPerHour = 1500;
    private static World world;

    public static World getWorld() {
        if (world == null) {
            try {
                world = new World();
            } catch (RemoteException re) {
                System.out.println("Ohoh!!");
            }
        }
        return world;
    }

    // 
    private double time = 0;
    private final Thread worldThread;

    @SuppressWarnings("CallToThreadStartDuringObjectConstruction")
    private World() throws RemoteException {
        worldThread = new Thread(new Runnable() {
            private final long timeStart = System.currentTimeMillis();

            @Override
            @SuppressWarnings("SleepWhileInLoop")
            public void run() {
                while (true) {
                    getWorld().time = ((double) (System.currentTimeMillis() - timeStart) / (double) millSecPerHour) % 24;
                    try {
                        Thread.sleep(10);
                    } catch (InterruptedException ie) {
                        System.out.println("Time OUTT!!");
                    }
                }
            }
        });
        worldThread.start();
    }

    @Override
    public double getTime() {
        return time;
    }

}
