/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package sim.graphics;

import java.util.Queue;
import java.util.concurrent.ArrayBlockingQueue;
import sim.data.SmartInfo;

/**
 *
 * @author Dromlius
 */
public abstract class InnerConsole {
    private static InnerConsole c;
    public final Queue<String> text= new ArrayBlockingQueue<>(7);
    
    public static InnerConsole get() {
       if(c==null){
           c=new Konsole();
       }
       return c;
    }

    public final void ausgeben(String txt){
        while(!text.offer(">"+txt)){
            text.poll();
        }
    }

    public abstract void verabeiteInformationen(SmartInfo smartInfo) ;

}
