/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sim.graphics;

/**
 *
 * @author Dromliuss
 */
public class RightBelowOrientation implements ScreenAreaOrientation{

    private final ScreenArea reference;

    public RightBelowOrientation(ScreenArea reference) {
        this.reference = reference;
    }

    @Override
    public int getX() {
        return reference.getScreenAreaWidth() + reference.getPosition().getX();
    }

    @Override
    public int getY() {
        return reference.getScreenAreaHeight() + reference.getPosition().getY();
    }

    @Override
    public int getWidth() {
        return reference.getParent().getScreenAreaWidth() - (reference.getScreenAreaWidth() + reference.getPosition().getX());
    }

    @Override
    public int getHeigth() {
        return reference.getParent().getScreenAreaHeight() - (reference.getScreenAreaHeight() + reference.getPosition().getY());
    }
}
